Package com.google.android.exoplayer2.util

## Interface ErrorMessageProvider<T extends Throwable>

-     public interface ErrorMessageProvider<T extends Throwable>

  Converts throwables into error codes and user readable error messages.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Pair<Integer,​String>` | `getErrorMessage​(T throwable)` | Returns a pair consisting of an error code and a user readable error message for the given throwable.

- - ### Method Detail

    - #### getErrorMessage

          Pair<Integer,​String> getErrorMessage​(T throwable)

      Returns a pair consisting of an error code and a user readable error message for the given throwable.
      Parameters:
        `throwable` - The throwable for which an error code and message should be generated.
      Returns:
        A pair consisting of an error code and a user readable error message.